Package relaxngcc.javabody

## Class JavaBodyParserTokenManager

- java.lang.Object
- - relaxngcc.javabody.JavaBodyParserTokenManager

- All Implemented Interfaces:
    `JavaBodyParserConstants`

      public class JavaBodyParserTokenManager
      extends java.lang.Object
      implements JavaBodyParserConstants

  Token Manager.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.io.PrintStream` | `debugStream` | Debug output.
    `static int[]` | `jjnewLexState` | Lex State array.
    `static java.lang.String[]` | `jjstrLiteralImages` | Token literal values.
    `static java.lang.String[]` | `lexStateNames` | Lexer state names.

    - ### Fields inherited from interface relaxngcc.javabody.JavaBodyParserConstants

      `_DEFAULT, ABSTRACT, ANDASSIGN, ASSERT, ASSIGN, BANG, BIT_AND, BIT_OR, BOOLEAN, BREAK, BYTE, CASE, CATCH, CHAR, CHARACTER_LITERAL, CLASS, COLON, COMMA, CONST, CONTINUE, DECIMAL_LITERAL, DECR, DEFAULT, DIGIT, DO, DOT, DOUBLE, ELSE, EOF, EQ, EXPONENT, EXTENDS, FALSE, FINAL, FINALLY, FLOAT, FLOATING_POINT_LITERAL, FOR, FORMAL_COMMENT, GE, GOTO, GT, HEX_LITERAL, HOOK, IDENTIFIER, IF, IMPLEMENTS, IMPORT, IN_FORMAL_COMMENT, IN_MULTI_LINE_COMMENT, IN_SINGLE_LINE_COMMENT, INCR, INSTANCEOF, INT, INTEGER_LITERAL, INTERFACE, LBRACE, LBRACKET, LE, LETTER, LONG, LPAREN, LSHIFT, LSHIFTASSIGN, LT, MINUS, MINUSASSIGN, MULTI_LINE_COMMENT, NATIVE, NE, NEW, NULL, OCTAL_LITERAL, ORASSIGN, PACKAGE, PLUS, PLUSASSIGN, PRIVATE, PROTECTED, PUBLIC, RBRACE, RBRACKET, REM, REMASSIGN, RETURN, RPAREN, RSIGNEDSHIFT, RSIGNEDSHIFTASSIGN, RUNSIGNEDSHIFT, RUNSIGNEDSHIFTASSIGN, SC_AND, SC_OR, SEMICOLON, SHORT, SINGLE_LINE_COMMENT, SLASH, SLASHASSIGN, STAR, STARASSIGN, STATIC, STRICTFP, STRING_LITERAL, SUPER, SWITCH, SYNCHRONIZED, THIS, THROW, THROWS, TILDE, tokenImage, TRANSIENT, TRUE, TRY, VOID, VOLATILE, WHILE, XOR, XORASSIGN`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavaBodyParserTokenManager​(SimpleCharStream stream)` | Constructor.
    `JavaBodyParserTokenManager​(SimpleCharStream stream, int lexState)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Token` | `getNextToken()` | Get the next Token.
    `void` | `ReInit​(SimpleCharStream stream)` | Reinitialise parser.
    `void` | `ReInit​(SimpleCharStream stream, int lexState)` | Reinitialise parser.
    `void` | `setDebugStream​(java.io.PrintStream ds)` | Set debug output.
    `void` | `SwitchTo​(int lexState)` | Switch to specified lex state.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### debugStream

          public java.io.PrintStream debugStream

      Debug output.

    - #### jjstrLiteralImages

          public static final java.lang.String[] jjstrLiteralImages

      Token literal values.

    - #### lexStateNames

          public static final java.lang.String[] lexStateNames

      Lexer state names.

    - #### jjnewLexState

          public static final int[] jjnewLexState

      Lex State array.

  - ### Constructor Detail

    - #### JavaBodyParserTokenManager

          public JavaBodyParserTokenManager​(SimpleCharStream stream)

      Constructor.

    - #### JavaBodyParserTokenManager

          public JavaBodyParserTokenManager​(SimpleCharStream stream,
                                            int lexState)

      Constructor.

  - ### Method Detail

    - #### setDebugStream

          public void setDebugStream​(java.io.PrintStream ds)

      Set debug output.

    - #### ReInit

          public void ReInit​(SimpleCharStream stream)

      Reinitialise parser.

    - #### ReInit

          public void ReInit​(SimpleCharStream stream,
                             int lexState)

      Reinitialise parser.

    - #### SwitchTo

          public void SwitchTo​(int lexState)

      Switch to specified lex state.

    - #### getNextToken

          public Token getNextToken()

      Get the next Token.